﻿/**Begin D:\PDM_UPGRADE\PDM1\TALP_constraint.sql **/
 EXEC P_ALTERPK 'PK_TALP_TALENTRECOMMEND_L', 'T_TALP_TALENTRECOMMEND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TALP_TALENTRECOMMEND_L') CREATE INDEX IDX_TALP_TALENTRECOMMEND_L ON T_TALP_TALENTRECOMMEND_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TALP_TALENTRECOMMEND', 'T_TALP_TALENTRECOMMEND', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TALP_TALENTRECOMMEND_NUM') CREATE INDEX IDX_TALP_TALENTRECOMMEND_NUM ON T_TALP_TALENTRECOMMEND ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TALP_TALENTRECOMMEND_EMPID') CREATE INDEX IDX_TALP_TALENTRECOMMEND_EMPID ON T_TALP_TALENTRECOMMEND ( FEMPLOYEEID );


 EXEC P_ALTERPK 'PK_TALP_RECOMMENDENTRY', 'T_TALP_RECOMMENDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TALP_RECOMMENDENTRY') CREATE INDEX IDX_TALP_RECOMMENDENTRY ON T_TALP_RECOMMENDENTRY ( FID );


 EXEC P_ALTERPK 'PK_TALP_ENTRYEXITPOOL_L', 'T_TALP_ENTRYEXITPOOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TALP_ENTRYEXITPOOL_L') CREATE INDEX IDX_TALP_ENTRYEXITPOOL_L ON T_TALP_ENTRYEXITPOOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TALP_ENTRYEXITPOOL', 'T_TALP_ENTRYEXITPOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TALP_ENTRYEXITPOOL_BILLNO') CREATE INDEX IDX_TALP_ENTRYEXITPOOL_BILLNO ON T_TALP_ENTRYEXITPOOL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TALP_ENTRYEXITPOOL_EMPPOOL') CREATE INDEX IDX_TALP_ENTRYEXITPOOL_EMPPOOL ON T_TALP_ENTRYEXITPOOL ( FEMPLOYEEID ,FTALENTPOOLID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TALP_ENTRYEXITPOOL_ORG') CREATE INDEX IDX_TALP_ENTRYEXITPOOL_ORG ON T_TALP_ENTRYEXITPOOL ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TALP_ENTRYEXITPOOL_ADMIN') CREATE INDEX IDX_TALP_ENTRYEXITPOOL_ADMIN ON T_TALP_ENTRYEXITPOOL ( FADMINORGID );



/**End D:\PDM_UPGRADE\PDM1\TALP_constraint.sql **/
