﻿/**Begin D:\PDM_UPGRADE\PDM1\TALP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TALP_TALENTRECOMMEND_L') 
 CREATE TABLE T_TALP_TALENTRECOMMEND_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TALP_TALENTRECOMMEND') 
 CREATE TABLE T_TALP_TALENTRECOMMEND (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FTALENTFILEID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FRECOMMENDEMPID BIGINT DEFAULT 0 NOT NULL,
FRECOMMENDINTOPOOLID BIGINT DEFAULT 0 NOT NULL,
FRECOMMENDSOURCEID BIGINT DEFAULT 0 NOT NULL,
FRECOMMENDREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRECOMMENDSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FHANDLESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FRECOMMENDDATE DATETIME,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FHANDLETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TALP_RECOMMENDENTRY') 
 CREATE TABLE T_TALP_RECOMMENDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECOMMENDBILLID BIGINT DEFAULT 0 NOT NULL,
FRECOMMENDSOURCEID BIGINT DEFAULT 0 NOT NULL,
FRECOMMENDINTOPOOLID BIGINT DEFAULT 0 NOT NULL,
FRECOMMENDEMPID BIGINT DEFAULT 0 NOT NULL,
FRECOMMENDDATE DATETIME,
FRECOMMENDREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TALP_ENTRYEXITPOOL_L') 
 CREATE TABLE T_TALP_ENTRYEXITPOOL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TALP_ENTRYEXITPOOL') 
 CREATE TABLE T_TALP_ENTRYEXITPOOL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT '1' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FAPPLYTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FBUSINESSSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FTALENTFILEID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FRESERVETALENTID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FTALENTPOOLID BIGINT DEFAULT 0 NOT NULL,
FCURRMATCHDEGREEID BIGINT DEFAULT 0 NOT NULL,
FTARGETCOMPETENCYID BIGINT DEFAULT 0 NOT NULL,
FSUPERVISOR BIGINT DEFAULT 0 NOT NULL,
FINTOPOOLTYPEID BIGINT DEFAULT 0 NOT NULL,
FINTOPOOLDATE DATETIME,
FOUTOFPOOLTYPEID BIGINT DEFAULT 0 NOT NULL,
FOUTOFPOOLDATE DATETIME,
FSUBMITTER BIGINT DEFAULT 0 NOT NULL,
FSUBMITTIME DATETIME,
FINTOPOOLREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FOUTOFPOOLREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FTERMINATIONIDEA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTERMINATERID BIGINT DEFAULT 0 NOT NULL,
FTERMINATEDATE DATETIME
);



/**End D:\PDM_UPGRADE\PDM1\TALP_table.sql **/
